Community
Showing results for 
Search instead for 
Do you mean 
Reply

Sage Act! Premium Compatibility

Tuned Listener
Posts: 6
Country: India

Sage Act! Premium Compatibility

Hi ,

    Can someone please guide me.I wish to install Sage Act ! Premium on Mac OS,Snow Leopard 10.5  and have intel core 2duo 2.66ghz processor.

     Is it possible in the case by any method.

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Sage Act! Premium Compatibility

Hello Tuhin,

Welcome to the ACT! Online Community. There is no MAC version of ACT! that will install directly to that O/S. You would need a Windows parallel that meets the system requirements for the version of ACT! you want to install.

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.